Built LMS Help Center
API Reference and PlaygroundLearning PathsLearning Path Enrollments

GET Get learning path enrollment progress

Retrieve detailed node-by-node completion status with prerequisite checking and dependency information

GET
/learning-path-enrollments/{id}/progress

Retrieve detailed node-by-node completion status with prerequisite checking and dependency information

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Enrollment ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/learning-path-enrollments/{id}/progress"
{  "data": {    "enrollment_id": "{enrollment_id}",    "learning_path_id": "{learning_path_id}",    "user_id": "{user_id}",    "total_nodes": 0,    "completed_nodes": 0,    "progress_percentage": 0,    "last_accessed_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}